knewstuff Library: KNS::UploadDialog Class Reference (knewstuff Library)

| # knewstuff Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNS::UploadDialog Class Reference

KNewStuff file upload dialog. More...

`#include <uploaddialog.h>`

Collaboration diagram for KNS::UploadDialog:

[legend]
List of all members.

## Public Member Functions
| UploadDialog (Engine *engine, QWidget *parent)
| ~UploadDialog ()
void | setPreviewFile (const QString &previewFile)
## Protected Slots
void | slotOk ()

## Detailed Description

KNewStuff file upload dialog.

Using this dialog, data can easily be uploaded to the Hotstuff servers. It should however not be used on its own, instead a KNewStuff (or KNewStuffGeneric) object invokes it.

Author:
  Cornelius Schumacher (schumacher@kde.org)

Maintainer:
  Josef Spillner (spillner@kde.org)

Definition at line 47 of file uploaddialog.h.

## Constructor & Destructor Documentation

UploadDialog::UploadDialog | ( | Engine * | engine,
|  | QWidget * | parent
| ) |

  | Constructor. Parameters:
  | engine | a KNewStuff engine object to be used for uploads
  | parent | the parent window
Definition at line 45 of file uploaddialog.cpp. References QGridLayout::addMultiCellWidget(), QGridLayout::addWidget(), QComboBox::insertItem(), QComboBox::insertStringList(), QString::isEmpty(), QString::isNull(), QPtrList::setAutoDelete(), QComboBox::setCurrentText(), QComboBox::setEditable(), QSpinBox::setMinValue(), QTextEdit::setText(), QLineEdit::setText(), QSpinBox::setValue(), and QString::toInt().

UploadDialog::~UploadDialog | ( |  | ) |

| Destructor. Definition at line 131 of file uploaddialog.cpp. References QPtrList::clear().

## Member Function Documentation

void UploadDialog::setPreviewFile | ( | const QString & | previewFile | ) |

  | Sets the preview filename. This is only meaningful if the application supports previews. Parameters:
  | previewFile | the preview image file
Definition at line 172 of file uploaddialog.cpp.

The documentation for this class was generated from the following files:

- uploaddialog.h
- uploaddialog.cpp

This file is part of the documentation for knewstuff Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:28:48 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003